Bug 60992 - [Qt] Fix plugins/windowless_plugin_paint_test.html
Summary: [Qt] Fix plugins/windowless_plugin_paint_test.html
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Robert Hogan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-17 14:48 PDT by Robert Hogan
Modified: 2011-05-19 11:59 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.07 KB, patch)
2011-05-17 14:51 PDT, Robert Hogan
no flags Details | Formatted Diff | Diff
Patch (5.04 KB, patch)
2011-05-18 11:58 PDT, Robert Hogan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Hogan 2011-05-17 14:48:26 PDT
[Qt] Fix plugins/windowless_plugin_paint_test.html
Comment 1 Robert Hogan 2011-05-17 14:51:13 PDT
Created attachment 93820 [details]
Patch
Comment 2 WebKit Review Bot 2011-05-17 14:54:14 PDT
Attachment 93820 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/plat..." exit_code: 1

Source/WebCore/plugins/qt/PluginViewQt.cpp:858:  gdk_init_check is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Andreas Kling 2011-05-17 17:08:25 PDT
Comment on attachment 93820 [details]
Patch

We're gonna need the same snippet in Source/WebKit2/WebProcess/Plugins/Netscape/x11/NetscapeluginX11.cpp
Comment 4 Robert Hogan 2011-05-18 11:58:12 PDT
Created attachment 93959 [details]
Patch
Comment 5 Andreas Kling 2011-05-18 11:59:35 PDT
Comment on attachment 93959 [details]
Patch

Kool. rs=me
Comment 6 WebKit Review Bot 2011-05-18 12:01:26 PDT
Attachment 93959 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/plat..." exit_code: 1

Source/WebKit2/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Source/WebCore/plugins/qt/PluginViewQt.cpp:858:  gdk_init_check is incorrectly named. Don't use underscores in your identifier names.  [readability/naming] [4]
Total errors found: 2 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 WebKit Commit Bot 2011-05-19 11:59:43 PDT
Comment on attachment 93959 [details]
Patch

Clearing flags on attachment: 93959

Committed r86870: <http://trac.webkit.org/changeset/86870>
Comment 8 WebKit Commit Bot 2011-05-19 11:59:48 PDT
All reviewed patches have been landed.  Closing bug.